MKPASSWD(8)

NAME
mkpasswd - generate hashed password table

SYNOPSIS
/usr/sbin/mkpasswd [ -v ] passwdfile

DESCRIPTION
Mkpasswd is used to generate the hashed password database used by the library routines getpwnam() and getpwuid(). If the -v option is supplied, each entry will be listed as it is added. The file passwdfile is usually /etc/ptmp (invoked by vipw(8)), and in any case must be in the format of /etc/passwd (see passwd(5)). Mkpasswd will generate database files named passwdfile.pag and passwdfile.dir. Mkpasswd will exit with a non-zero exit code if any errors are detected.

FILES
passwdfile.pag    - database filenames
passwdfile.dir

SEE ALSO
getpwent(3), vipw(8), passwd(5)